Rails.logger.info 'Starting Sitewide News Plugin'

require 'news_patch'
require 'news_controller_patch'

Redmine::Plugin.register :sitewide_news do
  name 'Sitewide News Plugin'
  author 'HARAGUCHI, Toru'
  description 'Extends news module so it can e-mail sitewide, to all active users.'
  version '0.0.1'

  sitewide_news_footer = 'This message is sent regardless of your e-mail preference to notify sitewide news.'
  settings :default => {'sitewide_news_emails_header' => '', 'sitewide_news_emails_footer' => sitewide_news_footer}, :partial => 'settings/sitewide_news_settings'

  project_module :news do
    permission :send_notification_sitewide, {}, :require => :member
  end

end
